Subject: [bug#64688] [PATCH v2] gnu: Add calc.

From: Distopico <[email-masked]>
Date: Mon, 24 Jul 2023 10:27:52 -0500

On 2023-07-24, Andreas Enge <[email-masked]> wrote:

> Hello,
>
> just a few quick comments, as I do not have the time to look at the
> package in detail.
>
> Am Tue, Jul 18, 2023 at 06:28:14AM -0500 schrieb Distopico:
>> +    (outputs '("out"))
Done, removed

>
> This is the default and can thus be dropped.
>
>> +     '(#:make-flags (let ((out (assoc-ref %outputs "out")))
>
> This should probably be done with a gexp nowadays, but I do not know how;
> I suppose there are examples to look up.
>
Changed, thank you

>> +                  (add-before 'build 'patch-makefile-prefix
>> +                    (lambda _
>> +                      (substitute* "Makefile"
>> +                        ;; Replace becase there is more or less
>> +                        ;; 5 Makefile vars with /usr as default prefix
>> +                        (("=\\s?/usr/")
>> +                         "= /")))))))
>
> This is strange. The Makefile sets a variable PREFIX, but later uses
> things like
>    BINDIR= /usr/bin
> except for MacOS, where it uses
>    BINDIR= ${PREFIX}/bin
> This line even appears in the general case, but is commented out, which
> makes no sense.
>
> Maybe this could be discussed with upstream? It is also like this in the
> latest release 2.14.2.0.
>
Yeah, maybe, not big fan of github but I'll try to contact upstream
in other way, ¿it would be a blocker to add this patch to guix?